
Figure - Bug #118702
【IOVDEV-33614】【内部】【VC1】【0106】【台架】【EE环境】【副屏】【蓝牙】 副屏同时连接两台蓝牙
键盘，两台键盘可以同时进行输入
2023-06-09 10:52 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-09

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0088.c103.02_NO����【副屏版本号】：01.00.0106.c104

Resolution: INVALID Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: Android正常显现，支持两个HID设备连接。

Description

环境信息】EE环境

【问题出现时间】：20230608 20：41

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致

【操作步骤】

1.打开副屏蓝牙

2.连接联想小新键盘

3.连接苹果键盘

4.点击键盘输入

【实际结果】

1.两个键盘都能进行输入

【期望结果】

1.只有第二个链接的键盘才能进行输入

【备注】：

第309次开机

蓝牙设备型号：蓝牙键盘：联想小新K3机械键盘

苹果蓝牙键盘：M爱国ICKeyboard A1644

日志、视频地址：https://ofs.human-horizons.com/#/download/index/g6WzddmnRTg%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0088.c103.02_NO

【副屏版本号】：01.00.0106.c104

History

#1 - 2023-06-09 10:58 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118702

#2 - 2023-06-09 16:50 - 短距组_SSRDCNJ 蒋俊杰
https://ofs.human-horizons.com/#/download/index/g6WzddmnRTg%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118702


当前进展：

同时连接两个蓝牙键盘的情况下，没有看到setActiveDevice相关，可能两个设备的Hid通路都是active的，所以才会出现两个设备都能够写入hid数据的情况

，如果这样的话就是正常现象

//连上第一个键盘

06-08 20:41:14.285  5394  5394 D AdapterProperties: PROFILE_CONNECTION_STATE_CHANGE: profile=4, device=0C:D7:46:F3:BB:BB, 1 -> 2

06-08 20:41:14.287  1891  2256 D CachedBluetoothDevice: onProfileStateChanged: profile HID, device “likaiqing”的键盘, newProfileState 2

//连第二个键盘

06-08 20:41:27.589  1891  2256 D CachedBluetoothDevice: onProfileStateChanged: profile HID, device Xiaoxin K3 5.0, newProfileState 2

//两个键盘都断开

06-08 20:42:06.692  2363  2363 D CachedBluetoothDevice: onProfileStateChanged: profile HID, device Xiaoxin K3 5.0, newProfileState 0

06-08 20:42:06.718  1891  2256 D CachedBluetoothDevice: onProfileStateChanged: profile HID, device “likaiqing”的键盘, newProfileState 0

下一步：

确认是否是设计如此

#3 - 2023-06-14 16:16 - CD LC 陶洪普

- Status changed from New to RESOLVED

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

- Resolution changed from -- to INVALID

- Root cause set to Android正常显现，支持两个HID设备连接。

#4 - 2023-07-03 16:28 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#5 - 2023-07-03 16:29 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

客户回复

1. 蓝牙输入设备仅提供一路输入不合理，蓝牙键盘鼠标是需要同时连接的

2. 多个相同设备同时接入的可能性较小，也不影响正常使用，可以接受
